org.apache.mina.http

## Class HttpException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.mina.http.HttpException

- All Implemented Interfaces:
    Serializable

      public class HttpException
      extends RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpException(HttpStatus statusCode)`
    `HttpException(HttpStatus statusCode, String message)`
    `HttpException(int statusCode)`
    `HttpException(int statusCode, String message)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getStatusCode()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpException

          public HttpException(int statusCode)

    - #### HttpException

          public HttpException(HttpStatus statusCode)

    - #### HttpException

          public HttpException(int statusCode,
                       String message)

    - #### HttpException

          public HttpException(HttpStatus statusCode,
                       String message)

  - ### Method Detail

    - #### getStatusCode

          public int getStatusCode()

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.